Повышение привилегий в trickle

Дата публикации:
03.03.2009
Дата изменения:
03.03.2009
Всего просмотров:
1542
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная
Воздействие:
Повышение привилегий
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
trickle 0.x
Уязвимые версии: trickle 1.07, возможно более ранние версии.

Описание:
Уязвимость позволяет локальному пользователю повысить свои привилегии на системе.

Уязвимость существует из-за того, что приложение включает в поисковый путь LD_PRELOAD текущую рабочую директорию. Злоумышленник может обманом заставить пользователя запустить приложение в директории, содержащей специально сформированную библиотеку trickle-overload.so и выполнить произвольный код на целевой системе с повышенными привилегиями.

URL производителя: monkey.org/~marius/pages/?page=trickle

Решение: Способов устранения уязвимости не существует в настоящее время. Некоторые производители Linux дистрибутивов выпустили соответствующее исправление.

Ссылки: Fedora 9 Update: trickle-1.07-7.fc9
Fedora 10 Update: trickle-1.07-7.fc10
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=513456

или введите имя

CAPTCHA